You are not logged in.

#1 2019-11-04 23:44:25

bhokaal
Member
Registered: 2014-04-12
Posts: 12

[SOLVED] digikam 6.4.0 crashing after upgrade

Hi Archers,

After updated to new digikam yesterday (version 6.4.0) it is crashing for me,  with the following assertion

digikam: MagickCore/exception.c:1118: ThrowMagickExceptionList: Assertion `exception->signature == MagickCoreSignature' failed.



$ digikam --version

Attribute Qt::AA_ShareOpenGLContexts must be set before QCoreApplication is created.
digikam.widgets: Use installed icons
digikam 6.4.0



Last few lines of the log before the crash:

digikam.general: Generic plugin named "SmugMug" registered to Digikam::LightTableWindow(0x55d1138796c0)
QFSFileEngine::open: No file name specified
digikam.geoiface: "ROADMAP"
digikam.geoiface: "ROADMAP"
digikam.general: Cancel Main Thread
digikam.general: Cancel Main Thread
digikam.general: scan mode: ScanDeferredFiles
digikam.general: total scan value :  36830
digikam: MagickCore/exception.c:1118: ThrowMagickExceptionList: Assertion `exception->signature == MagickCoreSignature' failed.
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = digikam path = /usr/bin pid = 49783
KCrash: Arguments: /usr/bin/digikam
KCrash: Attempting to start /usr/lib/drkonqi from kdeinit
sock_file=/run/user/1000/kdeinit5__0
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...
QSocketNotifier: Invalid socket 15 and type 'Read', disabling...
QSocketNotifier: Invalid socket 16 and type 'Exception', disabling...
QSocketNotifier: Invalid socket 17 and type 'Read', disabling...
QSocketNotifier: Invalid socket 21 and type 'Read', disabling...
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
Invalid write to eventfd: Bad file descriptor
Code should not be reached at ../pulseaudio/src/pulsecore/fdsem.c:199, function pa_fdsem_post(). Aborting.
Unable to start Dr. Konqi
Re-raising signal for core dump handling.
Aborted (core dumped)


Any ideas how to fix/debug this ?

Last edited by bhokaal (2019-11-07 03:49:56)

Offline

#2 2019-11-05 04:49:38

xse
Member
Registered: 2019-01-08
Posts: 28

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

Hey there,

bhokaal wrote:

Any ideas how to fix/debug this ?

As a quick fix you can just install the version that worked.

Otherwise, for those kind of situation, it's a good idea to go have a look on digikam's bugtracker, maybe it's already a known issue.
(note that they also have a support mailing list)

If it's not, you can then report it, by adding as much information as possible. In your case you have logs with a coredump, the ability to get a backtrace, which can be quite helpful for debugging the issue ( see https://wiki.archlinux.org/index.php/Co … _core_dump ).

Have a good day!


Carefully explaining your problem is half the solution.

Offline

#3 2019-11-05 09:03:02

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 7,771

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

Please post the entire output and use [ code ][ /code ] tags without the spaces to do so. Digikam works fine here, this assertion is in libmagick and not digikam per se. Do you have any non standard digikam plugins? Can you try a fresh digikam configuration?

Offline

#4 2019-11-05 17:12:05

rotema8
Member
Registered: 2010-01-07
Posts: 16

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

same problem here. I tried to remove digkamrc and db files but it didn't help . I dont have any special configuration . I dont have other problems with my system.
here coredump:
https://pastebin.com/G4sbQD85

Last edited by rotema8 (2019-11-05 17:21:23)

Offline

#5 2019-11-05 17:19:50

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 7,771

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

Same for you, post the entire terminal output and the backtrace of the coredump

Offline

#6 2019-11-05 17:24:47

rotema8
Member
Registered: 2010-01-07
Posts: 16

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

V1del wrote:

Same for you, post the entire terminal output and the backtrace of the coredump

sorry . i had problem to send the messeage . I posted the coredump . the terminal ouput is exactly the same as the first message .

Offline

#7 2019-11-05 22:45:11

bhokaal
Member
Registered: 2014-04-12
Posts: 12

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

Sorry for delay in response https://pastebin.com/Z9GVFNkh is the entire terminal output from launch till crash.

Offline

#8 2019-11-06 14:33:44

gert99
Member
Registered: 2019-11-06
Posts: 1

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

Hi,

I am also affected by this error.

Here is a  complete gdb trace with backtrace after the error occurred (Sorry for using pastebin but the [ code ] ... [ /code ] tags don't work, maybe the code is too long):

https://pastebin.com/V6Hnk9MP

Gert

Offline

#9 2019-11-06 17:40:53

rotema8
Member
Registered: 2010-01-07
Posts: 16

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

I think it enough information  to open bug :
https://bugs.archlinux.org/task/64412?p … &sort=desc

Offline

#10 2019-11-07 03:46:51

bhokaal
Member
Registered: 2014-04-12
Posts: 12

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

digikam 6.0.4-2 released today fixes the issue.

Offline

#11 2019-11-07 12:20:44

pb
Member
From: Krakow, PL
Registered: 2014-12-26
Posts: 327
Website

Re: [SOLVED] digikam 6.4.0 crashing after upgrade

Yes, but unfortunately this version has memory leak bug. But it's for next thread.
So, make sure it doesn't use memory after closing (i.e. in Plasma just run systemmonitor or just press ctrl+esc, and when you see digikam - kill that process).

Offline

Board footer

Powered by FluxBB